me.legofreak107.vehiclesplus.vehicles.rims

## Class RimDesign

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.rims.RimDesign

    public class RimDesign
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RimDesign()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`java.lang.Float` `getPrice()` The price of the rim
`org.bukkit.inventory.ItemStack` `getSkin()` The skin of the rim design
`void` `setName(java.lang.String name)` The name of the rim
`void` `setPrice(java.lang.Float price)` The price of the rim
`void` `setSkin(org.bukkit.inventory.ItemStack skin)` The skin of the rim design

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RimDesign

    public RimDesign()

### Method Detail

#### getName

    public java.lang.String getName()

#### getSkin

    public org.bukkit.inventory.ItemStack getSkin()

The skin of the rim design

#### getPrice

    public java.lang.Float getPrice()

The price of the rim

#### setSkin

    public void setSkin(org.bukkit.inventory.ItemStack skin)

The skin of the rim design

#### setPrice

    public void setPrice(java.lang.Float price)

The price of the rim

#### setName

    public void setName(java.lang.String name)

The name of the rim